# Class VariableMapper

java.lang.Object
javax.el.VariableMapper

public abstract class VariableMapper extends Object

## Constructor Summary

Constructors
Constructor
Description
`VariableMapper()`

## Method Summary

Modifier and Type
Method
Description
`abstract ValueExpression`
`resolveVariable(String variable)`
`abstract ValueExpression`
`setVariable(String variable, ValueExpression expression)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariableMapper

public VariableMapper()

## Method Details

### resolveVariable

public abstract ValueExpression resolveVariable(String variable)

### setVariable

public abstract ValueExpression setVariable(String variable, ValueExpression expression)